Comments
Comments aid conversation and collaboration around workspace datasets. Comments can be made on datasets, or other comments to form threads.
Objects
Comment
| Path | JSON Type | Format | Description |
|---|---|---|---|
id | string | Version 4 UUID | The comment ID |
message | string | The comment message | |
likeCount | number | Unsigned integer | The number of likes the comment has received |
likedByProfiles | object[] | Array of Members | The workspace members that have liked the comment |
created | string | ISO 8601 timestamp | Timestamp denoting when the comment was created |
lastModified | string | ISO 8601 timestamp | Timestamp denoting when the comment was last modified |
from | object | Member | The comment author |
commentCount | number | Unsigned integer | The number of replies the comment has received |
datasetId | string | Version 4 UUID | The ID of the dataset comment subject |
parentId | string | Version 4 UUID | The ID of the parent comment |
{
"id" : "08668d82-1ae6-4790-a198-a9b43b48cb76",
"message" : "SIT-generated reply Pesho [2026-10-12T10:14:06.902344095] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-12T10:14:06.958578",
"lastModified" : "2026-10-12T10:14:06.958578",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "ede37b53-ff00-4602-acde-a6e41d968565",
"_links" : {
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments/08668d82-1ae6-4790-a198-a9b43b48cb76",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/08668d82-1ae6-4790-a198-a9b43b48cb76",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/08668d82-1ae6-4790-a198-a9b43b48cb76"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/08668d82-1ae6-4790-a198-a9b43b48cb76/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/08668d82-1ae6-4790-a198-a9b43b48cb76",
"type" : "POST"
}
}
}
Requests
View all comments on a dataset
GET /api/datasets/{dataset-id}/comments
Returns all comments on the dataset {dataset-id}.
Prerequisites
- Dataset
{dataset-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments' -i -X GET
import requests
url = "https://app.meltano.com:443/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment collection with HAL links.
{
"_embedded" : {
"datasetComments" : [ {
"id" : "1071f29c-7439-4f0e-b1ff-4fe6857aefbd",
"message" : "SIT-generated reply Pesho [2026-10-12T10:14:05.905223746] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-12T10:14:05.959417",
"lastModified" : "2026-10-12T10:14:05.959417",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "ede37b53-ff00-4602-acde-a6e41d968565",
"_links" : {
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments/1071f29c-7439-4f0e-b1ff-4fe6857aefbd",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/1071f29c-7439-4f0e-b1ff-4fe6857aefbd",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/1071f29c-7439-4f0e-b1ff-4fe6857aefbd"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/1071f29c-7439-4f0e-b1ff-4fe6857aefbd/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/1071f29c-7439-4f0e-b1ff-4fe6857aefbd",
"type" : "POST"
}
}
}, {
"id" : "48d7a7be-ad45-4203-a184-2e5f40754ef9",
"message" : "SIT-generated reply Pesho [2026-10-12T10:14:05.761810905] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-12T10:14:05.813833",
"lastModified" : "2026-10-12T10:14:05.813834",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "ede37b53-ff00-4602-acde-a6e41d968565",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/48d7a7be-ad45-4203-a184-2e5f40754ef9/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments/48d7a7be-ad45-4203-a184-2e5f40754ef9",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/48d7a7be-ad45-4203-a184-2e5f40754ef9",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/48d7a7be-ad45-4203-a184-2e5f40754ef9"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/48d7a7be-ad45-4203-a184-2e5f40754ef9/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/48d7a7be-ad45-4203-a184-2e5f40754ef9",
"type" : "POST"
}
}
}, {
"id" : "71527295-eb05-4000-b47d-13166bb410c4",
"message" : "SIT-generated reply Pesho [2026-10-12T10:14:05.646698415] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-12T10:14:05.691899",
"lastModified" : "2026-10-12T10:14:05.691899",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "ede37b53-ff00-4602-acde-a6e41d968565",
"_links" : {
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments/71527295-eb05-4000-b47d-13166bb410c4",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/71527295-eb05-4000-b47d-13166bb410c4",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/71527295-eb05-4000-b47d-13166bb410c4"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/71527295-eb05-4000-b47d-13166bb410c4/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/71527295-eb05-4000-b47d-13166bb410c4",
"type" : "POST"
}
}
}, {
"id" : "d4d4ab0b-04cb-40e8-9eae-b8d65e0a3314",
"message" : "SIT-generated reply Pesho [2026-10-12T10:14:02.989379961] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-12T10:14:03.038478",
"lastModified" : "2026-10-12T10:14:03.038478",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 3,
"datasetId" : "ede37b53-ff00-4602-acde-a6e41d968565",
"_links" : {
"comments" : {
"href" : "https://app.meltano.com/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments?parentId=d4d4ab0b-04cb-40e8-9eae-b8d65e0a3314",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments/d4d4ab0b-04cb-40e8-9eae-b8d65e0a3314",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/d4d4ab0b-04cb-40e8-9eae-b8d65e0a3314",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/d4d4ab0b-04cb-40e8-9eae-b8d65e0a3314"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/d4d4ab0b-04cb-40e8-9eae-b8d65e0a3314/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/d4d4ab0b-04cb-40e8-9eae-b8d65e0a3314",
"type" : "POST"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 4,
"totalPages" : 1,
"number" : 0
}
}
View a comment
GET /api/comments/{comment-id}
Returns the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/08668d82-1ae6-4790-a198-a9b43b48cb76' -i -X GET
import requests
url = "https://app.meltano.com:443/api/comments/08668d82-1ae6-4790-a198-a9b43b48cb76"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"id" : "08668d82-1ae6-4790-a198-a9b43b48cb76",
"message" : "SIT-generated reply Pesho [2026-10-12T10:14:06.902344095] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-12T10:14:06.958578",
"lastModified" : "2026-10-12T10:14:06.958578",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "ede37b53-ff00-4602-acde-a6e41d968565",
"_links" : {
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments/08668d82-1ae6-4790-a198-a9b43b48cb76",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/08668d82-1ae6-4790-a198-a9b43b48cb76",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/08668d82-1ae6-4790-a198-a9b43b48cb76"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/08668d82-1ae6-4790-a198-a9b43b48cb76/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/08668d82-1ae6-4790-a198-a9b43b48cb76",
"type" : "POST"
}
}
}
View the edit history of a comment
GET /api/comments/{comment-id}/history
Returns the edit history of the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/08668d82-1ae6-4790-a198-a9b43b48cb76/history' -i -X GET
import requests
url = "https://app.meltano.com:443/api/comments/08668d82-1ae6-4790-a198-a9b43b48cb76/history"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
[ {
"lastModified" : "2026-10-12T10:14:06.963",
"message" : "SIT-generated reply Pesho [2026-10-12T10:14:06.902344095] to ",
"editVersion" : "1874768"
}, {
"lastModified" : "2026-10-12T10:14:07.134",
"message" : "SIT-generated reply Pesho [2026-10-12T10:14:07.081725910] to ",
"editVersion" : "1874769"
} ]
View all replies to a comment
GET /api/comments/{comment-id}
Returns all replies to the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments?parentId=d4d4ab0b-04cb-40e8-9eae-b8d65e0a3314' -i -X GET
import requests
url = "https://app.meltano.com:443/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments?parentId=d4d4ab0b-04cb-40e8-9eae-b8d65e0a3314"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"_embedded" : {
"datasetComments" : [ {
"id" : "ae88ffda-a70f-4225-bdd0-0b0c5ec1f885",
"message" : "SIT-generated reply Pesho [2026-10-12T10:14:03.737291472] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-12T10:14:03.780572",
"lastModified" : "2026-10-12T10:14:03.780573",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "ede37b53-ff00-4602-acde-a6e41d968565",
"parentId" : "d4d4ab0b-04cb-40e8-9eae-b8d65e0a3314",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/ae88ffda-a70f-4225-bdd0-0b0c5ec1f885/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments/ae88ffda-a70f-4225-bdd0-0b0c5ec1f885",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/ae88ffda-a70f-4225-bdd0-0b0c5ec1f885",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/ae88ffda-a70f-4225-bdd0-0b0c5ec1f885"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/ae88ffda-a70f-4225-bdd0-0b0c5ec1f885/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/ae88ffda-a70f-4225-bdd0-0b0c5ec1f885",
"type" : "POST"
}
}
}, {
"id" : "84d86e84-1ab3-4b25-9953-1af4f388d7aa",
"message" : "SIT-generated reply Pesho [2026-10-12T10:14:03.601588415] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-12T10:14:03.653978",
"lastModified" : "2026-10-12T10:14:03.653979",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "ede37b53-ff00-4602-acde-a6e41d968565",
"parentId" : "d4d4ab0b-04cb-40e8-9eae-b8d65e0a3314",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/84d86e84-1ab3-4b25-9953-1af4f388d7aa/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments/84d86e84-1ab3-4b25-9953-1af4f388d7aa",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/84d86e84-1ab3-4b25-9953-1af4f388d7aa",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/84d86e84-1ab3-4b25-9953-1af4f388d7aa"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/84d86e84-1ab3-4b25-9953-1af4f388d7aa/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/84d86e84-1ab3-4b25-9953-1af4f388d7aa",
"type" : "POST"
}
}
}, {
"id" : "5fbfcb9c-119e-4eb4-90bb-7902cde889d8",
"message" : "SIT-generated reply Pesho [2026-10-12T10:14:03.474667839] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-12T10:14:03.522013",
"lastModified" : "2026-10-12T10:14:03.522014",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "ede37b53-ff00-4602-acde-a6e41d968565",
"parentId" : "d4d4ab0b-04cb-40e8-9eae-b8d65e0a3314",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/5fbfcb9c-119e-4eb4-90bb-7902cde889d8/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments/5fbfcb9c-119e-4eb4-90bb-7902cde889d8",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/5fbfcb9c-119e-4eb4-90bb-7902cde889d8",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/5fbfcb9c-119e-4eb4-90bb-7902cde889d8"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/5fbfcb9c-119e-4eb4-90bb-7902cde889d8/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/5fbfcb9c-119e-4eb4-90bb-7902cde889d8",
"type" : "POST"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments?parentId=d4d4ab0b-04cb-40e8-9eae-b8d65e0a3314&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}
Initialise a comment on a dataset
POST /api/datasets/{dataset-id}/comments
Initialises a new comment on the dataset {dataset-id}.
Prerequisites
- Dataset
{dataset-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments' -i -X POST \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"id" : "33b7e379-7897-4942-b831-f55ae6d577dd",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-12T10:14:06.704269035",
"lastModified" : "2026-10-12T10:14:06.704269783",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "ede37b53-ff00-4602-acde-a6e41d968565",
"_links" : {
"create comment" : {
"href" : "https://app.meltano.com/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments/33b7e379-7897-4942-b831-f55ae6d577dd",
"type" : "PUT"
}
}
}
Initialise a reply to a comment
POST /api/comments/{comment-id}
Initialises a new reply comment to the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/d4d4ab0b-04cb-40e8-9eae-b8d65e0a3314' -i -X POST \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/comments/d4d4ab0b-04cb-40e8-9eae-b8d65e0a3314"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"id" : "c16943e1-0f4e-48a7-bad8-a3e80c9f7d33",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-12T10:14:06.297294029",
"lastModified" : "2026-10-12T10:14:06.297294705",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "ede37b53-ff00-4602-acde-a6e41d968565",
"parentId" : "d4d4ab0b-04cb-40e8-9eae-b8d65e0a3314",
"_links" : {
"create comment" : {
"href" : "https://app.meltano.com/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments/c16943e1-0f4e-48a7-bad8-a3e80c9f7d33",
"type" : "PUT"
}
}
}
Create a comment
PUT /api/comments/{comment-id}
Creates the comment {comment-id}.
Prerequisites
- The comment must have been initialised in order to create it
- The target dataset
{dataset-id}or comment{comment-id}must exist
Body
Comment resource.
{
"message" : "SIT-generated reply Pesho [2026-10-12T10:14:06.063330278] to ",
"datasetId" : "ede37b53-ff00-4602-acde-a6e41d968565"
}
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments/3962f583-c784-4665-a372-fa62b793cc21' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"message" : "SIT-generated reply Pesho [2026-10-12T10:14:06.063330278] to ",
"datasetId" : "ede37b53-ff00-4602-acde-a6e41d968565"
}'
import requests
url = "https://app.meltano.com:443/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments/3962f583-c784-4665-a372-fa62b793cc21"
data = {
"message" : "SIT-generated reply Pesho [2026-10-12T10:14:06.063330278] to ",
"datasetId" : "ede37b53-ff00-4602-acde-a6e41d968565"
}
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
201 Created
Comment with HAL links.
{
"id" : "3962f583-c784-4665-a372-fa62b793cc21",
"message" : "SIT-generated reply Pesho [2026-10-12T10:14:06.063330278] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-12T10:14:06.190477117",
"lastModified" : "2026-10-12T10:14:06.190477466",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "ede37b53-ff00-4602-acde-a6e41d968565",
"_links" : {
"edit-history" : {
"href" : "https://app.meltano.com/api/comments/3962f583-c784-4665-a372-fa62b793cc21/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments/3962f583-c784-4665-a372-fa62b793cc21",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/3962f583-c784-4665-a372-fa62b793cc21",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/3962f583-c784-4665-a372-fa62b793cc21"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/3962f583-c784-4665-a372-fa62b793cc21/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/3962f583-c784-4665-a372-fa62b793cc21",
"type" : "POST"
}
}
}
Update a comment
PUT /api/comments/{comment-id}
Updates the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Body
Comment resource.
{
"message" : "SIT-generated reply Pesho [2026-10-12T10:14:06.734485528] to "
}
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/08668d82-1ae6-4790-a198-a9b43b48cb76' -i -X GET
import requests
url = "https://app.meltano.com:443/api/comments/08668d82-1ae6-4790-a198-a9b43b48cb76"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"id" : "08668d82-1ae6-4790-a198-a9b43b48cb76",
"message" : "SIT-generated reply Pesho [2026-10-12T10:14:06.902344095] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-10-12T10:14:06.958578",
"lastModified" : "2026-10-12T10:14:06.958578",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "ede37b53-ff00-4602-acde-a6e41d968565",
"_links" : {
"update comment" : {
"href" : "https://app.meltano.com/api/datasets/ede37b53-ff00-4602-acde-a6e41d968565/comments/08668d82-1ae6-4790-a198-a9b43b48cb76",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.meltano.com/api/comments/08668d82-1ae6-4790-a198-a9b43b48cb76",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.meltano.com/api/comments/08668d82-1ae6-4790-a198-a9b43b48cb76"
},
"add like" : {
"href" : "https://app.meltano.com/api/comments/08668d82-1ae6-4790-a198-a9b43b48cb76/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.meltano.com/api/comments/08668d82-1ae6-4790-a198-a9b43b48cb76",
"type" : "POST"
}
}
}
Record a like of a comment
PUT /api/comments/{comment-id}/like
Records a like of the comment {comment-id} from the authenticated user profile.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/d4d4ab0b-04cb-40e8-9eae-b8d65e0a3314/like' -i -X PUT \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/comments/d4d4ab0b-04cb-40e8-9eae-b8d65e0a3314/like"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
No response body provided.
Remove a like from a comment
DELETE /api/comments/{comment-id}/like
Removes a like of the comment {comment-id} from the authenticated user profile.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/d4d4ab0b-04cb-40e8-9eae-b8d65e0a3314/like' -i -X DELETE
import requests
url = "https://app.meltano.com:443/api/comments/d4d4ab0b-04cb-40e8-9eae-b8d65e0a3314/like"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.
Delete a comment
DELETE /api/comments/{comment-id}
Deletes the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/comments/59a3abbf-f00f-4ecb-88ee-894c1f34b18f' -i -X DELETE
import requests
url = "https://app.meltano.com:443/api/comments/59a3abbf-f00f-4ecb-88ee-894c1f34b18f"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.